#ifndef __EVENT_H__
#define __EVENT_H__

#include <sys/types.h>

#include <stdint.h>
#include <stdbool.h>

struct event_motion {
    int fd; // File descriptor
    int32_t dx; // Increment on x-axis
    int32_t dy; // Increment on y-axis
    bool looping; // Whether to continue handling events
    pthread_cond_t cp; // Condition variable for producer
    pthread_cond_t cc; // Condition variable for consumer
    pthread_mutex_t mt; // Mutex lock
};

struct event_kernel {
    int fd; // Device file descriptor
    int efd; // Event file descriptor
    bool polling; // Whether to continue handling events
    pthread_mutex_t mt; // Mutex lock
};

#endif /* __EVENT_H__ */
